WA.cr APP - API v2
  1. Groups
WA.cr APP - API v2
  • API v2 Documentation
    • Account
      • Get Account Info
      • Get Usage Statistics
      • Get Plan Limits
    • Authentication (OTP Verification)
      • Send OTP/Verification Code
      • Resend OTP
      • Verify OTP
      • Check OTP Status
      • List Authentication Templates
    • Comments
      • Get Comments
      • Add Comment
    • Contacts
      • List Contacts
      • Create Contact
      • Get Contact
      • Update Contact
      • Delete Contact
      • Batch Create Contacts
      • Batch Delete Contacts
    • Groups
      • List Groups
        GET
      • Create Group
        POST
      • Get Group
        GET
      • Update Group
        PATCH
      • Delete Group
        DELETE
      • Add Contacts to Group
        POST
      • Remove Contacts from Group
        DELETE
    • Messages
      • Send Text Message
      • Send Template Message
      • Send Media Message
      • Send Interactive Message
      • List Messages
      • Get Message
    • Sources
      • List Sources
      • Create Source
      • Get Source
      • Update Source
      • Delete Source
    • Statuses
      • List Statuses
      • Create Status
      • Get Status
      • Update Status
      • Delete Status
    • Templates
      • List Templates
      • Sync Templates from WhatsApp
      • Get Template
  1. Groups

Update Group

PATCH
/groups/1
Update an existing group by ID.

Authentication#

Required Scope: groups:write

Path Parameters#

ParameterTypeDescription
idintegerRequired. The group ID to update

Request Body#

FieldTypeRequiredValidationDescription
namestringYesmax:255, unique per tenant (excludes current group)Group name

Response#

Success (200 OK): Returns the freshly-loaded group object. Includes message: "Group updated successfully".

Error Responses#

StatusCodeDescription
404NOT_FOUNDGroup not found
422VALIDATION_ERRORValidation failed
500INTERNAL_ERRORFailed to update group

Validation Error Messages#

FieldMessage
nameGroup name is required / A group with this name already exists

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Successful response
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH '/groups/1' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "name": "Premium VIP Customers"
}'
Response Response Example
{}
Modified at 2026-02-25 01:06:20
Previous
Get Group
Next
Delete Group
Built with